Bug 195428 - databases/mytop: Version upgrade
Summary: databases/mytop: Version upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthew Seaman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-26 20:45 UTC by Bernard Spil
Modified: 2015-03-05 21:57 UTC (History)
1 user (show)

See Also:
brnrd: maintainer-feedback? (matthew)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2014-11-26 20:45:59 UTC
There's a port databases/mytop which has been on 1.6 for a very long time, this port refers to the original author's site http://jeremy.zawodny.com/mysql/mytop/
Obviously Jeremy has since moved to github where he released version 1.7 (AKA, databases/mytop needs an update) see https://github.com/jzawodn/mytop

The blob in MariaDB 5.5 has a version 1.91 by mgrennan which I've tracked back to here http://www.mysqlfanboy.com/mytop-3 which is a modified fork of the original code. The bit that says "FreeBSD users can find mytop in the ports collection. The maintainer seems to keep it relatively current." is misleading...

Propose to update the databases/mytop port and remove mytop from the MariaDB pkg-plist.
Tried my hand at updating this port to the 1.9.1 version but lack perl skills. There seems to be some sort of issue with $STATUS and $OLD_STATUS which is solved in the port, but now Sort_rows is used as well as Queries.
For now looks like the distributed tarball is OK, will investigate further as I find time.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-26 20:45:59 UTC
Auto-assigned to maintainer matthew@FreeBSD.org
Comment 2 Matthew Seaman freebsd_committer 2014-11-26 21:42:47 UTC
Thank you for letting me know about the new upstream locations.  I'll update the port probably at the weekend.
Comment 3 commit-hook freebsd_committer 2014-12-06 17:13:24 UTC
A commit references this bug:

Author: matthew
Date: Sat Dec  6 17:13:16 UTC 2014
New revision: 374121
URL: https://svnweb.freebsd.org/changeset/ports/374121

Log:
  Update to 1.7

   - MASTER_SITE switch to GitHub
   - Add LICENSE (GPLv2)
   - Use PLIST_FILES and delete pkg-plist

  PR:		195428
  Submitted by:	spil.oss@gmail.com

Changes:
  head/databases/mytop/Makefile
  head/databases/mytop/distinfo
  head/databases/mytop/files/patch-mytop
  head/databases/mytop/pkg-plist
Comment 4 Bernard Spil freebsd_committer 2014-12-06 20:53:59 UTC
Great! Created a patch for MariaDB 10.0 so it removes mytop.

Thanks,

Bernard.
Comment 5 Brad Davis freebsd_committer 2015-03-05 21:57:01 UTC
Closing this looks complete, if needed we can reopen later.